body{
margin:0;
font-family:Arial;
display:flex;
justify-content:center;
}

.green-bg{
background:linear-gradient(135deg,#083b14,#1f6f2d);
color:white;
}

.dark-bg{
background:linear-gradient(135deg,#0c0c1f,#031f2d);
color:white;
}

.main-card,.buy-card,.modal-page{
width:100%;
max-width:420px;
padding:20px;
}

.btn{
display:block;
background:#49a942;
color:white;
padding:15px;
text-align:center;
border-radius:30px;
margin:10px 0;
text-decoration:none;
font-weight:bold;
}

.progress-bar,.progress-bar-dark{
height:25px;
background:#1c3d20;
border-radius:30px;
overflow:hidden;
margin:10px 0;
}

.progress-fill{
background:linear-gradient(90deg,#c6ff8f,#2dd36f);
height:100%;
text-align:center;
line-height:25px;
font-weight:bold;
}

.progress-fill-dark{
background:linear-gradient(90deg,#8b5cf6,#06b6d4);
height:100%;
text-align:center;
line-height:25px;
}

.price-box{
display:flex;
gap:10px;
}

.price-card{
flex:1;
background:#111;
padding:15px;
border-radius:15px;
text-align:center;
}

input{
width:100%;
padding:15px;
margin:10px 0;
border-radius:10px;
border:1px solid #333;
background:#111;
color:white;
font-size:16px;
}

.buy-btn{
width:100%;
padding:15px;
background:linear-gradient(90deg,#8b5cf6,#06b6d4);
border:none;
border-radius:30px;
font-size:18px;
color:white;
cursor:pointer;
}

.wallet-box{
background:#2b2b2b;
padding:15px;
border-radius:10px;
word-break:break-all;
}